///////////////
// IanniX
///////////////

////////////////////////////
// Nx3DRender.cpp
////////////////////////////

#include "Nx3DRender.h"

Nx3DRender::Nx3DRender( QWidget *parent )
  : QWidget( parent )
{
/*
  mainLine = new QFrame( this, "mainLine" );
  mainLine->setGeometry( QRect( 0, 60, 500, 20 ) );
  mainLine->setFrameShape( QFrame::HLine );
  mainLine->setFrameShadow( QFrame::Sunken );
  mainLine->setFrameShape( QFrame::HLine );

  // Font for main title
  QFont helv14 ("Helvetica", 14);
	
  title = new QLabel( this, "title" );
  title->setFont( helv14 );
  title->setAlignment( AlignHCenter );
	
	
  // Resolution chooser
  resBox = new QButtonGroup( this, "resBox" );
  resBox->setMaximumSize( 500, 100 );
  resBox->setAlignment( AlignHCenter );
	
  res1 = new QRadioButton( resBox, "res1" );
  res2 = new QRadioButton( resBox, "res2" );
  res3 = new QRadioButton( resBox, "res3" );
  res4 = new QRadioButton( resBox, "res4" );
  fieldH = new QLineEdit( resBox, "fieldH" );
  fieldW = new QLineEdit( resBox, "fieldW" );
  customLabel = new QLabel( resBox, "customLabel" );
  customLabel->setMinimumSize( 50, 50 );
  customLabel->setMaximumSize( 50, 50 );
	
  resL = new QHBoxLayout( resBox, 10, 10, "ResLayout" );
  resL->addWidget(res1);
  resL->addWidget(res2);
  resL->addWidget(res3);
  resL->addWidget(res4);
  resL->addWidget(customLabel);
  resL->addWidget(fieldH);
  resL->addWidget(fieldW);
	
	
  // Effects GroupBox	
  effectsBox = new QGroupBox("effectsBox", this );
  effectsBox->setAlignment( AlignHCenter );
  effectsBox->setMinimumSize( 500, 80 );
  effectsBox->setMaximumSize( 500, 100 );
		
  transparencyCk = new QCheckBox( effectsBox, "transparencyCk" );
  echoCk = new QCheckBox( effectsBox, "echoCk" );
  lightingCk = new QCheckBox( effectsBox, "lightingCk" );
  backgroundCk = new QCheckBox( effectsBox, "backgroundCk" );
  texturingCk = new QCheckBox( effectsBox, "texturingCk" );
  doubleScreenCk = new QCheckBox( effectsBox, "doubleScreenCk" );

	
  effectsL = new QGridLayout( effectsBox, 2, 3, 10, 10, "gridLayout" );
  effectsL->addWidget( transparencyCk, 1, 0, 1 );
  effectsL->addWidget( echoCk, 2, 0, 1 );
  effectsL->addWidget( lightingCk, 1, 1, 1 );
  effectsL->addWidget( backgroundCk, 2, 1, 1 );
  effectsL->addWidget( texturingCk, 1, 2, 1 );
  effectsL->addWidget( doubleScreenCk, 2, 2, 1 );
	
	
  // VirChor pre-configuration box
  virChorBox = new QGroupBox("virChorBox",this );
  virChorBox->setAlignment( AlignHCenter );
  virChorBox->setMaximumSize( 500, 200 );

  viewsList = new QListBox( virChorBox, "viewsList" );
  viewsList->setMaximumSize( 150, 150 );
  newView = new QPushButton( virChorBox, "newView" );
  deleteView = new QPushButton( virChorBox, "deleteView" );
  typeLabel = new QLabel( virChorBox, "typeLabel" );
  typeLabel->setMaximumSize( 50, 20 );
  viewChooser = new QComboBox( FALSE, virChorBox, "viewChooser" );

  seqL = new QHBoxLayout( virChorBox, 1, 2, "SequenceLayout" );
  seqL->addWidget( viewsList );
  seqL->addWidget( newView );
  seqL->addWidget( deleteView );
  seqL->addWidget( typeLabel );
  seqL->addWidget( viewChooser );
	
  renderButton 	= new QPushButton( this, "renderButton" );
  renderButton->setMaximumSize( 50, 30 );	
		
  // Main Layout
  mainL = new QVBoxLayout( this, 1, 1, "MainLayout" );
  mainL->addWidget(title);
  mainL->addWidget(mainLine);
  mainL->addWidget(resBox);
  mainL->addWidget(effectsBox);
  mainL->addWidget(virChorBox);
  mainL->addWidget(renderButton);
       
  languageChange();
  resize( QSize(500, 400).expandedTo(minimumSizeHint()) );
  clearWState( WState_Polished );
  */
}

/*
 *  Destroys the object and frees any allocated resources
 */
Nx3DRender::~Nx3DRender()
{
  // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void Nx3DRender::languageChange()
{
  /*setCaption( tr( "IanniX - Advanced 3D Render" ) );
  title->setText( tr("Advanced 3D Render") );
  resBox->setTitle( tr( "Output Resolution" ) );
  res1->setText( tr( "800x600" ) );
  res2->setText( tr( "1024x768" ) );
  res3->setText( tr( "1280x1024" ) );
  res4->setText( tr( "1600x1200" ) );
  fieldW->setText( QString::null );
  customLabel->setText( tr( "Custom" ) );
  renderButton->setText( tr( "Render" ) );
  effectsBox->setTitle( tr( "Special Effects" ) );
  transparencyCk->setText( tr( "Objects transparency" ) );
  echoCk->setText( tr( "Echo" ) );
  backgroundCk->setText( tr( "Background / Skybox" ) );
  texturingCk->setText( tr( "Texturing Objets" ) );
  doubleScreenCk->setText( tr( "Double Screen" ) );
  lightingCk->setText( tr( "Lighting" ) );
  virChorBox->setTitle( tr( "Views Sequencer" ) );
  viewsList->clear();
  viewsList->insertItem( tr( "View1" ) );
  viewsList->insertItem( tr( "View2" ) );
  viewsList->insertItem( tr( "Trans" ) );
  viewsList->insertItem( tr( "ZoomIn" ) );
  viewsList->insertItem( tr( "ZoomOut" ) );
  viewsList->insertItem( tr( "In6" ) );
  viewsList->insertItem( tr( "In7" ) );
  viewsList->insertItem( tr( "Out8" ) );
  viewsList->insertItem( tr( "Out9" ) );
  viewsList->insertItem( tr( "Move10" ) );
  newView->setText( tr( "New" ) );
  deleteView->setText( tr( "Remove" ) );
  typeLabel->setText( tr( "Type" ) );
  */
}
